<div *ngIf="order | async as o; else noOrder">
  <h2>Products in this order</h2>
  <div class="ui divided list">
    <div *ngFor="let product of o.products" class="ui item">
      <a [routerLink]="['/products', product._id]">{{ product.name }}</a>
      <p>{{ product.description }}</p>
      <p>Price: {{ product.price | currency: "USD" }}</p>
    </div>
  </div>

  <h2>Total price: {{ o.products | productSum | currency: "USD" }}</h2>
</div>
<ng-template #noOrder> Loading order data... </ng-template>
